package com.android.launcher3.settings;

import android.content.Intent;

import com.secspace.lib.common.base.BaseActivity;
import com.secspace.lib.common.function.DialogManager;
import com.secspace.lib.common.utils.IntentUtil;
import com.secspace.lib.common.utils.Prefs;

public class BlankActivity extends BaseActivity {

    @Override
    public int getLayoutId() {
        return 0;
    }

    @Override
    public void initView() {

    }

    @Override
    protected void onResume() {
        super.onResume();
        if (!Prefs.isPrivacyPolicyAccept(this)) {
            DialogManager.getInstance().showPrivacyPolicyDialog(this);
            return;
        }
        IntentUtil.startEduLauncher(this);
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
    }
}
